﻿<?php
/*********************************************************************************************
+ Attachment on Post v0.1 : A Plugin for MyBB 1.4 and 1.6
+ Free to Use
+ Free to Edit
+ But Not Allowed to distribute
**********************************************************************************************
*/
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

function att_post_info()
{
	return array("name"			=> "پیوست های ارسال",		"description"	=> "نمایش پیوست های تاپیک بعد از انجام دادن ارسال توسط کاربر در آن تاپیک، فارسی سازی توسط MyBBIran.com",		"website"		=> "http://yaldaram.com",		"author"		=> "Yaldaram",		"authorsite"	=> "http://yaldaram.com",		"version"		=> "0.1",		"compatibility" => "14*,16*", "guid" => "0d473bbdc263a4646620d8ccfbfcf1c8"
	);

}
function att_post_activate()
{
	global $db, $mybb;

	require MYBB_ROOT."/inc/adminfunctions_templates.php";
	$template = array(
		"title"		=> "tpl_att_post",
		"template"	=> '
		<div align="center"><font color="Red">
		برای اینکه بتوانید پیوست های این تاپیک را دریافت کنید، باید ابتدا ارسالی در تاپیک انجام دهید.
		</font>
		</div>',
		"sid"		=> -1
	);
	$db->insert_query("templates", $template);

	$att_post_group = array(		"gid"			=> "NULL",		"name"			=> "att_post",		"title" 		=> "پیوست های ارسال",		"description"	=> "تنظیمات پلاگین",		"disporder"		=> "1",		"isdefault"		=> "no",	);
	$db->insert_query("settinggroups", $att_post_group);
	$gid = $db->insert_id();
	
	$att_post_setting_1 = array(		"sid"			=> "NULL",		"name"			=> "att_post_power",		"title"			=> "روشن کردن",		"description"	=> "برای روشن بودن پلاگین، بله را انتخاب کنید.",		"optionscode"	=> "yesno",		"value"			=> "0",		"disporder"		=> "1",		"gid"			=> intval($gid),	);
	$db->insert_query("settings", $att_post_setting_1);

	$att_post_setting_2 = array(		"sid"			=> "NULL",		"name"			=> "att_post_groups",		"title"			=> "لیست گروه های کاربری",		"description"	=> "گروه هایی که نمی توانند دانلود کنند مشخص کنید. با کاما از هم جدا کنید.",		"optionscode"	=> "text",		"value"			=> "1,2,5,7",		"disporder"		=> "2",		"gid"			=> intval($gid),	);
	$db->insert_query("settings", $att_post_setting_2);

	$att_post_setting_3 = array(		"sid"			=> "NULL",		"name"			=> "att_post_forums",		"title"			=> "لیست انجمن ها",		"description"	=> "انجمن هایی که این پلاگین در آن فعال باشد تعیین کنید. با کاما از هم جدا کنید.",		"optionscode"	=> "text",		"value"			=> "2,3",		"disporder"		=> "3",		"gid"			=> intval($gid),	);
	$db->insert_query("settings", $att_post_setting_3);
    rebuild_settings();
}
function att_post_deactivate()
{
	global $db, $mybb;
	require MYBB_ROOT."/inc/adminfunctions_templates.php";
	$db->query("DELETE FROM ".TABLE_PREFIX."templates WHERE title='tpl_att_post'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='att_post'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='att_post_power'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='att_post_groups'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='att_post_forums'");
    rebuild_settings();
}
$plugins->add_hook("postbit", "att_post_job");
function att_post_job($post){
	global $mybb, $db, $thread, $attachment, $templates;
	$power = $mybb->settings['att_post_power'];
	$group = $mybb->user['usergroup'];
	$groups = explode(",",$mybb->settings['att_post_groups']);
	$forum = $thread['fid'];
	$forums = explode(",",$mybb->settings['att_post_forums']);
	$extension = get_extension($attachment['filename']);
	$extensions = explode(",",$mybb->settings['att_post_extensions']);
	if ($power != "0"){
		$query = $db->simple_select("posts", "pid", "tid = '".$post['tid']."' AND uid = '".$mybb->user['uid']."'");
		$posted = $db->num_rows($query);
		if (!$posted && in_array($group,$groups) && !in_array($extension,$extensions) && in_array($forum,$forums) && $mybb->user['uid'] != $post['uid'] && !is_moderator($post['fid'])){
			eval("\$post['attachments'] = \"".$templates->get("tpl_att_post")."\";");
		}
	}
}
?>